## ros-lunar-rtt 2.9.2

=== rtt/types/CMakeLists.txt ===
FILE( GLOB CPPS [^.]*.cpp )
FILE( GLOB HPPS [^.]*.hpp [^.]*.h [^.]*.inl)

GLOBAL_ADD_INCLUDE( rtt/types ${HPPS})
GLOBAL_ADD_SRC( ${CPPS})

=== rtt/extras/dev/CMakeLists.txt ===
IF (ENABLE_OROCOS_DEVICE_INTERFACES)
  FILE( GLOB CPPS [^.]*.cpp )
  FILE( GLOB HPPS [^.]*.hpp [^.]*.h [^.]*.inl)
  
  GLOBAL_ADD_INCLUDE( rtt/extras/dev ${HPPS})
  GLOBAL_ADD_SRC( ${CPPS})
ENDIF(ENABLE_OROCOS_DEVICE_INTERFACES)

=== rtt/os/gnulinux/CMakeLists.txt ===
IF (OROCOS_TARGET STREQUAL "gnulinux")
  FILE( GLOB CPPS [^.]*.cpp [^.]*.c)
  FILE( GLOB HPPS [^.]*.hpp [^.]*.h [^.]*.inl)

  GLOBAL_ADD_INCLUDE( rtt/os/gnulinux ${HPPS})
  GLOBAL_ADD_SRC( ${CPPS})
ENDIF (OROCOS_TARGET STREQUAL "gnulinux")

=== rtt/os/lxrt/CMakeLists.txt ===
IF (OROCOS_TARGET STREQUAL "lxrt")
  FILE( GLOB CPPS [^.]*.cpp [^.]*.c)
  FILE( GLOB HPPS [^.]*.hpp [^.]*.h [^.]*.inl)

  GLOBAL_ADD_INCLUDE( rtt/os/lxrt ${HPPS})
  GLOBAL_ADD_SRC( ${CPPS})
ENDIF (OROCOS_TARGET STREQUAL "lxrt")

=== rtt/os/oro_msvc/CMakeLists.txt ===
FILE( GLOB CPPS [^.]*.cpp [^.]*.c)
FILE( GLOB HPPS [^.]*.hpp [^.]*.h [^.]*.inl)

GLOBAL_ADD_INCLUDE( rtt/os/oro_msvc ${HPPS})
GLOBAL_ADD_SRC( ${CPPS})

=== rtt/os/oro_x86_64/CMakeLists.txt ===
FILE( GLOB CPPS [^.]*.cpp [^.]*.c)
FILE( GLOB HPPS [^.]*.hpp [^.]*.h [^.]*.inl)

GLOBAL_ADD_INCLUDE( rtt/os/oro_x86_64 ${HPPS})
GLOBAL_ADD_SRC( ${CPPS})

=== rtt/os/targets/CMakeLists.txt ===

GLOBAL_ADD_INCLUDE( rtt/os/targets ${CMAKE_CURRENT_BINARY_DIR}/rtt-target.h)
GLOBAL_ADD_INCLUDE( rtt/os/targets ${CMAKE_CURRENT_BINARY_DIR}/${OROCOS_TARGET}-config.h)

=== tests/testproject/types/CMakeLists.txt ===

  ADD_LIBRARY(typekit_plugin SHARED plugins_test_types.cpp)

  # Allows us to build the plugin not in the debug/ or release/ subdir
  if (MSVC)
    set(PREFIX_HACK PREFIX "../")
  endif (MSVC)

  SET_TARGET_PROPERTIES( typekit_plugin PROPERTIES
    VERSION "${RTT_VERSION}"
    SOVERSION "${RTT_SOVERSION}"
    OUTPUT_NAME typekit_plugin-${OROCOS_TARGET}
    COMPILE_DEFINITIONS "${OROCOS-RTT_DEFINITIONS}"
    ${PREFIX_HACK}
    )
  IF (UNIX AND NOT APPLE)
	SET_TARGET_PROPERTIES( typekit_plugin PROPERTIES
	  LINK_FLAGS "-Wl,-zdefs")
  ENDIF ()
  target_link_libraries(typekit_plugin orocos-rtt-${OROCOS_TARGET}_dynamic)

=== debian/changelog ===
ros-lunar-rtt (2.9.2-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Orocos Developers <orocos-dev@lists.mech.kuleuven.be>  Mon, 03 Jun 2019 16:28:11 -0000

=== debian/control ===
Source: ros-lunar-rtt
Section: misc
Priority: extra
Maintainer: Orocos Developers <orocos-dev@lists.mech.kuleuven.be>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libomniorb4-dev, libxml-xpath-perl, omniidl, omniorb, omniorb-idl, omniorb-nameserver, pkg-config, ros-lunar-catkin
Homepage: http://www.orocos.org/rtt
Standards-Version: 3.9.2

Package: ros-lunar-rtt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libomniorb4-dev, libxml-xpath-perl, omniidl, omniorb, omniorb-idl, omniorb-nameserver, pkg-config, ros-lunar-catkin
Description: Orocos/RTT component framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-rtt//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
